Label[type=StereotypeLabel]{
    visible: false;
}

* {
    topMarginLabel: 15;
    fillColor: white;
    gradient: none;
}

CallBehaviorAction[appliedStereotypes~="Sequence"] {
    shapeVisibility: true;
    shapeDirection: 1;
    lineWidth: 2;
    gradient : lightpink vertical;
    svgFile: "platform:/plugin/org.eclipse.papyrus.robotics.bt.ui/images/sequence.svg";   
}

CallBehaviorAction[appliedStereotypes~="ReactiveSequence"] {
    shapeVisibility: true;
    shapeDirection: 1;
    lineWidth: 2;
    gradient : lightpink vertical;
    svgFile: "platform:/plugin/org.eclipse.papyrus.robotics.bt.ui/images/reactivesequence.svg";   
}

CallBehaviorAction[appliedStereotypes~="ParallelSequence"] {
    shapeVisibility: true;
    shapeDirection: 1;
    lineWidth: 2;
    gradient : lightpink vertical;
    svgFile: "platform:/plugin/org.eclipse.papyrus.robotics.bt.ui/images/parallelsequence.svg";   
}

CallBehaviorAction[appliedStereotypes~="Fallback"] {
    shapeVisibility: true;
    shapeDirection: 1;
    lineWidth: 2;
    gradient : skyblue vertical;
    svgFile: "platform:/plugin/org.eclipse.papyrus.robotics.bt.ui/images/fallback.svg";   
}

CallBehaviorAction[appliedStereotypes~="ReactiveFallback"] {
    shapeVisibility: true;
    shapeDirection: 1;
    lineWidth: 2;
    gradient : skyblue vertical;
    svgFile: "platform:/plugin/org.eclipse.papyrus.robotics.bt.ui/images/reactivefallback.svg";   
}

CallBehaviorAction[appliedStereotypes~="Inverter"] {
    shapeVisibility: true;
    shapeDirection: 1;
    lineWidth: 2;
    gradient : lavender;
    svgFile: "platform:/plugin/org.eclipse.papyrus.robotics.bt.ui/images/inverter.svg";   
}

CallBehaviorAction[appliedStereotypes~="Repeat"] {
    shapeVisibility: true;
    shapeDirection: 1;
    lineWidth: 2;
    gradient : lavender;
    svgFile: "platform:/plugin/org.eclipse.papyrus.robotics.bt.ui/images/repeat.svg";   
}

CallBehaviorAction[appliedStereotypes~="RetryUntilSuccessful"] {
    shapeVisibility: true;
    shapeDirection: 1;
    lineWidth: 2;
    gradient : lavender;
    svgFile: "platform:/plugin/org.eclipse.papyrus.robotics.bt.ui/images/retry.svg";   
}

CallBehaviorAction[appliedStereotypes~="SubTree"] {
    shapeVisibility: true;
    shapeDirection: 1;
    lineWidth: 2;
    gradient : lightgrey vertical;
    svgFile: "platform:/plugin/org.eclipse.papyrus.robotics.bt.ui/images/subtree1.svg";   
}

CallOperationAction[appliedStereotypes~="Action"] {
    shapeVisibility: true;
    shapeDirection: 0;
    gradient : beige vertical;
    lineWidth: 2;
    svgFile: "platform:/plugin/org.eclipse.papyrus.robotics.bt.ui/images/action.svg";   
}

CallOperationAction[appliedStereotypes~="Condition"] {
    shapeVisibility: true;
    shapeDirection: 0;
    gradient : limegreen vertical;
    lineWidth: 2;
    svgFile: "platform:/plugin/org.eclipse.papyrus.robotics.bt.ui/images/condition.svg";   
}

ValueSpecificationAction[appliedStereotypes~="Parameter"] {
    shapeVisibility: true;
    shapeDirection: 0;
    gradient : gainsboro vertical;
    lineWidth: 2;
    svgFile: "platform:/plugin/org.eclipse.papyrus.robotics.bt.ui/images/parameter.svg";   
}

ControlFlow[appliedStereotypes~="bt::ControlFlowEdge"] > Label:name,
ControlFlow[appliedStereotypes~="bt::ControlFlowEdge"] > Label:stereotype{
    visible:false;
}

ControlFlow[appliedStereotypes~="bt::ControlFlowEdge"] {
    lineWidth: 2;
}

InputPin[appliedStereotypes~="bt::InFlowPort"] > Label:stereotype {
    visible:false;
}

OutputPin[appliedStereotypes~="bt::OutFlowPort"] > Label:stereotype {
    visible:false;
}

ObjectFlow[appliedStereotypes~="bt::DataFlowEdge"] > Label:name,
ObjectFlow[appliedStereotypes~="bt::DataFlowEdge"] > Label:stereotype {
    visible:false;
}

ObjectFlow[appliedStereotypes~="bt::DataFlowEdge"] {
    lineColor:steelblue;
    lineWidth: 2;
}

CentralBufferNode[appliedStereotypes~="bt::BlackBoardEntry"] {
	radiusWidth:50;
	radiusHeight:50;
	shapeVisibility: true;
    shapeDirection: 1;
    fillColor: lightslategrey;
    lineWidth: 2;
}

CentralBufferNode[appliedStereotypes~="bt::BlackBoardEntry"] > Label[kind="FloatingLabel"] {
	visible:true;
}
